.TH "/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/conf.c" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/conf.c \- Configuration handling (including XML parsing). 
.SH SYNOPSIS
.br
.PP
\fC#include 'config.h'\fP
.br
\fC#include <assert.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include <expat.h>\fP
.br
\fC#include <discover/discover.h>\fP
.br
\fC#include <discover/discover-conf.h>\fP
.br
\fC#include <discover/discover-xml.h>\fP
.br
\fC#include <discover/load-url.h>\fP
.br
\fC#include <discover/url-xml.h>\fP
.br
\fC#include <discover/utils.h>\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBdirent\fP   direct"
.br
.ti -1c
.RI "#define \fBNAMLEN\fP(d)   (d)->d_namlen"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBstate\fP { \fBSTART\fP, \fBBUSSCAN\fP, \fBDATA_SOURCES\fP }"
.br
.ti -1c
.RI "enum \fBscan_flag\fP { \fBSCAN_NEVER\fP, \fBSCAN_DEFAULT\fP }"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBdiscover_bus_map_t\fP * \fB_real_discover_conf_get_bus_map\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_bus_map_t\fP * \fB_real_discover_conf_get_bus_map_by_name\fP (char *name, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_conf_load\fP (\fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "int \fBdiscover_conf_name_to_bus\fP (char *name, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_bus_map_t\fP * \fBdiscover_conf_get_full_bus_map\fP (\fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_bus_map_t\fP * \fBdiscover_conf_get_bus_map_by_name\fP (char *name, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_bus_map_t\fP * \fBdiscover_conf_get_bus_map\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_conf_insert_url\fP (char *url, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_conf_append_url\fP (char *url, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_xml_url_t\fP * \fBdiscover_conf_get_urls\fP (\fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_conf_free\fP (void)"
.br
.ti -1c
.RI "char * \fBdiscover_conf_get_bus_name\fP (\fBdiscover_bus_t\fP bus)"
.br
.ti -1c
.RI "char * \fBdiscover_conf_get_filetype_name\fP (\fBdiscover_filetype_t\fP filetype)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Configuration handling (including XML parsing). 

Configuration-related data is handled here. This file is responsible for loading and parsing the XML data read from the configuration file. This file also holds the routines that are responsible for altering the URL list as requested by the caller. 
.PP
Definition in file \fBconf.c\fP.
.SH "Enumeration Type Documentation"
.PP 
.SS "enum \fBscan_flag\fP"
.PP
Define the values for a scannable bus. 
.PP
Definition at line 93 of file conf.c.
.SS "enum \fBstate\fP"
.PP
Describe the current state within the XML structure. 
.PP
Definition at line 90 of file conf.c.
.SH "Function Documentation"
.PP 
.SS "\fBdiscover_bus_map_t\fP* _real_discover_conf_get_bus_map (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP * status)"
.PP
Function that loads the bus map
.PP
The 'real' get_bus_map functions don't call conf_load(), which is important to avoid infinite loops. 
.PP
Definition at line 154 of file conf.c.
.PP
References BUS_COUNT, discover_error::code, and DISCOVER_EBUSNOTFOUND.
.PP
Referenced by _real_discover_conf_get_bus_map_by_name().
.SS "\fBdiscover_bus_map_t\fP* _real_discover_conf_get_bus_map_by_name (char * name, \fBdiscover_error_t\fP * status)"
.PP
Internal function that really loads the bus map 
.PP
Definition at line 168 of file conf.c.
.PP
References _real_discover_conf_get_bus_map(), discover_error::code, and discover_conf_name_to_bus().
.PP
Referenced by discover_conf_get_bus_map_by_name().
.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
